- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- XDisplayBackgroundImage
- XDisplayImage

# NAME

display - Interactively display and edit an image

# SYNOPSIS

unsigned int Magick XDisplayBackgroundImage( Display *display, MagickXResourceInfo *resource_info, Image *image );

Image *Magick XDisplayImage( Display *display, MagickXResourceInfo *resource_info, char ** argv, int argc, Image ** image, unsigned long *state );

# FUNCTION DESCRIPTIONS

## XDisplayBackgroundImage

> MagickXDisplayBackgroundImage() displays an image in the background of a window.

The format of the MagickXDisplayBackgroundImage method is:

> unsigned int MagickXDisplayBackgroundImage ( Display *display, MagickXResourceInfo *resource_info, Image *image );

A description of each parameter follows:

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

image:

  Specifies a pointer to an Image structure; returned from ReadImage.

## XDisplayImage

> MagickXDisplayImage() displays an image via X11. A new image is created and returned if the user interactively transforms the displayed image.

The format of the MagickXDisplayImage method is:

> Image *MagickXDisplayImage ( Display *display, MagickXResourceInfo *resource_info, char **argv, int argc, Image **image, unsigned long *state );

A description of each parameter follows:

nexus:

  Method MagickXDisplayImage returns an image when the user chooses 'Open Image' from the command menu or picks a tile from the image directory. Otherwise a null image is returned.

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

argv:

  Specifies the application's argument list.

argc:

  Specifies the number of arguments.

image:

  Specifies an address to an address of an Image structure; returned from ReadImage.